### Method

# Ide Application has_network

#### Declaration

    gboolean
    ide_application_has_network (
      IdeApplication* self
    )

#### Description

This is a helper that uses an internal `GNetworkMonitor` to track if we have access to the network. It works around some issues we’ve seen in the wild that make determining if we have network access difficult.

Available since: | 3.32

#### Return value

Returns: | `gboolean`
| `TRUE` if we think there is network access.